import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.1
import "../Utils/Utils.js" as Utils

Popover {
    id: contactPopover
    property var contact
    Column {
        id: containerLayout
        anchors {
            left: parent.left
            top: parent.top
            right: parent.right
        }

        Item {
            width: parent.width
            height: layout.height
            ListItemLayout {
                id: layout
                title.text:  Utils.formatPlainArrayMailAddresses(contact, false, true)[0]
            }
        }

    }
}
