import QtQuick 2.4
import Ubuntu.Components 1.3
import Dekko.Theme 0.2
import "../../Components"

ListItem {
    id: listItem
    property string text
    property string subText
    height: layout.implicitHeight

    ListItemLayout {
        id: layout
        title.text: listItem.text
        title.font.weight: Style.common.fontWeight
        title.color: Style.common.text
        subtitle.text: listItem.subText
        subtitle.font.weight: Style.common.fontWeight
        subtitle.color: Qt.lighter(Style.common.text)
    }
}
